"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function isComma(node) {
    return node.type === "Punctuator" && node.value === ",";
}
exports.isComma = isComma;
function getFunctionArguments(fn) {
    const { nodes } = fn;
    const first = nodes[0];
    if (!first || isComma(first)) {
        return null;
    }
    const result = [first];
    const length = nodes.length;
    for (let index = 1; index < length; index++) {
        const comma = nodes[index++];
        if (!isComma(comma)) {
            return null;
        }
        const arg = nodes[index];
        if (!arg || isComma(arg)) {
            return null;
        }
        result.push(arg);
    }
    return result;
}
exports.getFunctionArguments = getFunctionArguments;
