import * as AST from "../types/ast";
import { StringifyOptions } from "../types/options";
export declare class Stringifier {
    private options;
    constructor(options?: StringifyOptions);
    stringify(node: AST.INode | AST.IToken): string;
    protected Root(node: AST.Root): string;
    protected Function(node: AST.FunctionNode): string;
    protected Parentheses(node: AST.Parentheses): string;
    protected MathExpression(node: AST.MathExpression): string;
    protected Number(node: AST.NumberValue): string;
    protected Punctuator(node: AST.Punctuator): string;
    protected Word(node: AST.Word): string;
    protected String(node: AST.StringNode): string;
    protected Operator(node: AST.Operator): string;
    protected Length(node: AST.LengthValue): string;
    protected Angle(node: AST.AngleValue): string;
    protected Time(node: AST.TimeValue): string;
    protected Frequency(node: AST.FrequencyValue): string;
    protected Resolution(node: AST.ResolutionValue): string;
    protected Percentage(node: AST.PercentageValue): string;
    protected Flex(node: AST.FlexValue): string;
    protected word(node: AST.WordToken): string;
    protected punctuator(node: AST.PunctuatorToken): string;
    protected operator(node: AST.OperatorToken): string;
    protected whitespace(node: AST.WhitespaceToken): string;
    protected comment(node: AST.CommentToken): string;
    protected string(node: AST.StringToken): string;
    protected "inline-comment"(node: AST.InlineCommnetToken): string;
}
