"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EOF = -1;
exports.NULL = 0x00;
exports.TAB = 0x09;
exports.CR = 0x0d;
exports.LF = 0x0a;
exports.FF = 0x0c;
exports.SPACE = 0x20;
exports.DQUOTE = 0x22;
exports.SQUOTE = 0x27;
exports.LPAREN = 0x28;
exports.RPAREN = 0x29;
exports.STAR = 0x2a;
exports.PLUS = 0x2b;
exports.COMMA = 0x2c;
exports.MINUS = 0x2d;
exports.DOT = 0x2e;
exports.SLASH = 0x2f;
exports.LBRACKET = 0x5b;
exports.BACKSLASH = 0x5c;
exports.RBRACKET = 0x5d;
exports.LBRACE = 0x7b;
exports.RBRACE = 0x7d;
function isWhitespace(cc) {
    return cc === exports.TAB || cc === exports.LF || cc === exports.FF || cc === exports.CR || cc === exports.SPACE;
}
exports.isWhitespace = isWhitespace;
function isDigit(cc) {
    return cc >= 0x30 && cc <= 0x39;
}
exports.isDigit = isDigit;
function isLetter(cc) {
    return ((cc >= 0x61 && cc <= 0x7a) ||
        (cc >= 0x41 && cc <= 0x5a));
}
exports.isLetter = isLetter;
